How do I downgrade Aastra firmware?

Discussion in 'Endpoints' started by robr, Oct 16, 2011.

  1. robr

    robr New Member

    Joined:
    Nov 9, 2007
    Messages:
    32
    Likes Received:
    0
    I made the mistake of upgrading to 3.2.2.56 and have a number of issues (that may or may not be related), however it was recommended that I try downgrading the firmware to 2.x (I was going to use 2.6.0.2019). I put the firmware file in my tftpboot directory and I've also tried installing via the web interface for my 57i's and it won't install the older firmware. Is there some way to force this?
     
  2. reconwireless

    Joined:
    Oct 5, 2010
    Messages:
    183
    Likes Received:
    33
    I'm not certain, but I believe if you load the aastra scripts onto your server and load just the 2.6.0? version when it provisions the phone it will load that firmware... but I'm not really sure.
     
  3. gregc

    gregc Guru

    Joined:
    Sep 8, 2008
    Messages:
    433
    Likes Received:
    3
    If the phones are set to boot from your pbx as the configuration server, then as long as you have the firmware you wish in /tftpboot and named 57i.st you should be good.

    Might check a physical phone under Administration menu, Configuration server - and verify that Download Protocol is set to t*f*t*p and check to make sure the primary server is set to your pbx's address.

    -Greg
     
  4. randy7376

    randy7376 Guru

    Joined:
    Sep 29, 2010
    Messages:
    800
    Likes Received:
    88
    The 57i's should automatically downgrade just fine (via t*f*t*p using DHCP option 66; not sure about other protocols as that's all I use) if you put the version 2.6.x firmware in the /tftpboot directory. I don't have any recent experience with the XML scripts, but previous versions never had anything to do with firmware upgrading/downgrading.

    The 57i creates and stores an md5 checksum against the firmware. If the checksum matches, no upgrade/downgrade required. If not, upgrade/downgrade.

    Anyway I've had to go through the upgrade/downgrade cycle several times as I checked to see if the version 3.x firmware could replace 2.6.x.

    As Lorne has pointed out in some other threads, the 3.2.x is still buggy enough that the 2.6.x series is preferable.
     
  5. reconwireless

    Joined:
    Oct 5, 2010
    Messages:
    183
    Likes Received:
    33
    There are two different versions of the scripts to support different firmware. When the phone connects the first time it checks to download new firmware for the phone. I'm sure there are manual ways to change the firmware, however I prefer to have these things automated so I don't have to go on site every time a customer gets a new phone.

    http://pbxinaflash.com/community/threads/aastra-xml-scripts-2-3-1-beta.10179/?t=10179

    The scripts can be installed with 2 provided firmware packages:
    aastra-ipphone-2.6.0-3 which includes
    1.4.3 for 9112i/9133i/480i/480iCT
    2.6.0-2019 for 6730i/6731i/6751i/6753i/6755i/6757i/6757iCT and 9143i/9480i/9480iCT
    3.2.1-43 for 6739i
    aastra-ipphone-3.2.1-1 which includes
    1.4.3 for 9112i/9133i/480i/480iCT
    2.6.0-2019 for 6751i
    3.2.1-43 for all the other phones
     
    #5 reconwireless, Oct 18, 2011
    Last edited by a moderator: Apr 11, 2016

Share This Page